using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace UWLib.Migrations
{
    /// <inheritdoc />
    public partial class LinksToScrape : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "LinksToScrape",
                columns: table => new
                {
                    Url = table.Column<string>(type: "TEXT", nullable: false),
                    Sort = table.Column<int>(type: "INTEGER", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_LinksToScrape", x => x.Url);
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "LinksToScrape");
        }
    }
}
